<?php

/**
 * Project:     Ant: sources.list generator
 * File:        theme.php
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

class Theme {

	function getThemesList($mode) { // $mode=(style)(icon)
	    switch ($mode){
		case 'style':
		    $dr='styles';
		    $ief='style.css';  
		    break;
		case 'icon':
		    $dr='icons';
		    $ief='edit.png';
		    break;
		default:
		    die('variable $mode must be "style" or "icon" !');
	    }
	    $result = array();
	    $handler = opendir('./themes/'.$dr.'/');
	    while ($file = readdir($handler)) {
	        if ($file != '.' && $file != '..' && $file != '.svn') // && is_dir($file) 
	            if (file_exists('./themes/'.$dr.'/'.$file.'/'.$ief)) $result[] = $file;
	    }
	    closedir($handler);
		return($result);		
	}
	
	function getThemeName($link,$dblink) { //TODO remove links 
		$result=$link->getSetting('theme',$dblink);
		if (!file_exists('./themes/styles/'.$result.'/style.css')) $result='default';
		return $result; 
	}
        function getIconSetName($link,$dblink) { //TODO remove links
		$result=$link->getSetting('icons',$dblink);
		if (!file_exists('./themes/icons/'.$result.'/edit.png')) $result='tango';
		return $result;
	}
	function setTheme($newtheme,$dblink){
		$req =& $dblink->query("UPDATE settings SET optvalue='$newtheme' WHERE opt='theme'");
	}
	function setIcon($newtheme,$dblink){
		$req =& $dblink->query("UPDATE settings SET optvalue='$newtheme' WHERE opt='icons'");
	}
}
?>